<?php
/*
	DevSaver Web Framework
	Copyright (c) 2002-2018 DevSaver. 
	All rights reserved.
		web:  www.devsaver.com
		mail: support@devsaver.com
*/

if (!defined("STPBase")) {
	die("This file can't be accessed directly!");
}

class CSocialMediaWidgetFBLike extends CWidget {

	/**
	* description
	*
	* @var type
	*
	* @access type
	*/
	var $meta = array(
		"type"	=> "3",
		"name"	=> "Facebook Like Box",
	);

	/**
	* description
	*
	* @param
	*
	* @return
	*
	* @access
	*/
	function Render($widget) {
		return $this->tpl->blockReplace(
			"Main",
			array(
				"link"					=> $widget["settings"]["set_fb_link"],
				"set_fb_posts"			=> $widget["settings"]["set_fb_posts"] == "1" ? "true" : "false",
				"set_fb_faces"			=> $widget["settings"]["set_fb_faces"] == "1" ? "true" : "false",
				"set_fb_hide_cover"		=> $widget["settings"]["set_fb_hide_cover"] == "1" ? "true" : "false",
				"set_fb_small_header"	=> $widget["settings"]["set_fb_small_header"] == "1" ? "true" : "false", 
				"set_fb_height"			=> $widget["settings"]["set_fb_height"], 

				"title"					=> $widget["widget_name"],
			),
			$widget["settings"],
			$widget
		);
	}
			

}


?>